#
# mysqld --help
#
--source include/not_embedded.inc

#
# force lower-case-table-names=1 (linux/macosx have different defaults)
# force symbolic-links=0 (valgrind build has a different default)
#
exec $MYSQLD_BOOTSTRAP_CMD --symbolic-links=0 --lower-case-table-names=1 --help --verbose > $MYSQL_TMP_DIR/mysqld--help.txt 2>&1;

perl;
  @skipvars=qw/basedir open-files-limit general-log-file log plugin-dir
               log-slow-queries pid-file slow-query-log-file
               datadir slave-load-tmpdir tmpdir
               backup-history-log-file backup-progress-log-file backupdir/;
  @plugins=qw/innodb ndb archive blackhole federated partition ndbcluster safemalloc debug temp-pool ssl des-key-file
              thread-concurrency super-large-pages mutex-deadlock-detector null-audit/;
  @env=qw/MYSQLTEST_VARDIR MYSQL_TEST_DIR MYSQL_LIBDIR MYSQL_CHARSETSDIR MYSQL_SHAREDIR
          DEFAULT_MASTER_PORT MASTER_MYPORT MASTER_MYSOCK/;
  $re1=join('|', @skipvars, @plugins);
  $re2=join('|', @plugins);
  $skip=0;
  open(F, '<', "$ENV{MYSQL_TMP_DIR}/mysqld--help.txt") or die;
  while (<F>) {
    next if 1../The following groups are read/;
    # formatting, skip line consisting entirely of dashes and blanks
    next if /^[\- ]+$/;
    next if /Value \(after reading options\)/; # skip table header
    next if /^($re1) /;
    next if /^($re2)-/;
    $skip=0 if /^  -/;
    $skip=1 if / --($re2)\b/;
    y!\\!/!;
    s/[ ]+/ /; # squeeze spaces to remove table formatting
    # fixes for 32-bit
    s/\b4294967295\b/18446744073709551615/;
    s/\b2146435072\b/9223372036853727232/;
    s/\b199680\b/262144/;
    foreach $var (@env) { s/$ENV{$var}/$var/ }
    s/\b3306\b/DEFAULT_MASTER_PORT/;
    s/$ENV{"MYSQL_TCP_PORT"}/DEFAULT_MASTER_PORT/
      if defined $ENV{"MYSQL_TCP_PORT"};
    s/$ENV{"MYSQL_UNIX_PORT"}/\/tmp\/mysql.sock/
      if defined $ENV{"MYSQL_UNIX_PORT"};
    next if /use --skip-(use-)?symbolic-links to disable/; # for valgrind, again
    next if /Maximum memory usage: \d+ bytes \(\d+k\)/; # safemalloc
    next if $skip;
    print;
  }
  close F;
EOF

