#
# Test cross-platform compatibility of backup images.
# Sub-routine to show objects.
#
# WL#4771 - Online Backup: Test cross-platform compatibility
#
# Ingo Struewing, 2009-06-03
#
SELECT SCHEMA_NAME
  FROM INFORMATION_SCHEMA.SCHEMATA
  WHERE SCHEMA_NAME like 'bup%xpfm%compat%'
  ORDER BY LOWER(SCHEMA_NAME);
#
SELECT TABLESPACE_NAME
  FROM INFORMATION_SCHEMA.TABLESPACES
  WHERE TABLESPACE_NAME like 'bup%xpfm%compat%'
  ORDER BY LOWER(TABLESPACE_NAME);
#
SELECT TABLE_SCHEMA, TABLE_NAME
  FROM INFORMATION_SCHEMA.TABLES
  WHERE TABLE_SCHEMA like 'bup%xpfm%compat%'
    AND TABLE_TYPE != 'VIEW'
  ORDER BY LOWER(TABLE_SCHEMA), LOWER(TABLE_NAME);
#
SELECT TABLE_SCHEMA, TABLE_NAME, COLUMN_NAME, DATA_TYPE,
    CHARACTER_MAXIMUM_LENGTH, NUMERIC_PRECISION
  FROM INFORMATION_SCHEMA.COLUMNS
  WHERE TABLE_SCHEMA like 'bup%xpfm%compat%'
  ORDER BY LOWER(TABLE_SCHEMA), LOWER(TABLE_NAME), LOWER(COLUMN_NAME);
#
SELECT TABLE_SCHEMA, TABLE_NAME, VIEW_DEFINITION
  FROM INFORMATION_SCHEMA.VIEWS
  WHERE TABLE_SCHEMA like 'bup%xpfm%compat%'
  ORDER BY LOWER(TABLE_SCHEMA), LOWER(TABLE_NAME);
#
SELECT ROUTINE_SCHEMA, ROUTINE_NAME, ROUTINE_DEFINITION
  FROM INFORMATION_SCHEMA.ROUTINES
  WHERE ROUTINE_SCHEMA like 'bup%xpfm%compat%'
    AND ROUTINE_TYPE = 'PROCEDURE'
  ORDER BY LOWER(ROUTINE_SCHEMA), LOWER(ROUTINE_NAME);
#
SELECT ROUTINE_SCHEMA, ROUTINE_NAME, ROUTINE_DEFINITION
  FROM INFORMATION_SCHEMA.ROUTINES
  WHERE ROUTINE_SCHEMA like 'bup%xpfm%compat%'
    AND ROUTINE_TYPE = 'FUNCTION'
  ORDER BY LOWER(ROUTINE_SCHEMA), LOWER(ROUTINE_NAME);
#
SELECT TRIGGER_SCHEMA, TRIGGER_NAME, ACTION_TIMING, EVENT_MANIPULATION,
    EVENT_OBJECT_SCHEMA, EVENT_OBJECT_TABLE, ACTION_STATEMENT
  FROM INFORMATION_SCHEMA.TRIGGERS
  WHERE TRIGGER_SCHEMA like 'bup%xpfm%compat%'
  ORDER BY LOWER(TRIGGER_SCHEMA), LOWER(TRIGGER_NAME);
#
query_vertical
SHOW CREATE TRIGGER bup_xpfm_compat_db1.trigger1;
query_vertical
SHOW CREATE TRIGGER bup_xpfm_compat_db1.TRIGGER2;
query_vertical
SHOW CREATE TRIGGER bup_xpfm_compat_db1.TrigGer3;
query_vertical
SHOW CREATE TRIGGER BUP_XPFM_COMPAT_DB2.trigger1;
query_vertical
SHOW CREATE TRIGGER BUP_XPFM_COMPAT_DB2.TRIGGER2;
query_vertical
SHOW CREATE TRIGGER BUP_XPFM_COMPAT_DB2.TrigGer3;
query_vertical
SHOW CREATE TRIGGER BupXPfmCompat_db3.trigger1;
query_vertical
SHOW CREATE TRIGGER BupXPfmCompat_db3.TRIGGER2;
query_vertical
SHOW CREATE TRIGGER BupXPfmCompat_db3.TrigGer3;
#
SELECT EVENT_SCHEMA, EVENT_NAME, EVENT_DEFINITION
  FROM INFORMATION_SCHEMA.EVENTS
  WHERE EVENT_SCHEMA like 'bup%xpfm%compat%'
  ORDER BY LOWER(EVENT_SCHEMA), LOWER(EVENT_NAME);
#
