#
# Test cross-platform compatibility of backup images.
# Sub-routine to show objects in lower case.
# Only database (schema), table, view names, and view definition
# are turned to lower case.
#
# WL#4771 - Online Backup: Test cross-platform compatibility
#
# Ingo Struewing, 2009-06-03
#
SELECT LOWER(SCHEMA_NAME)
  FROM INFORMATION_SCHEMA.SCHEMATA
  WHERE SCHEMA_NAME like 'bup%xpfm%compat%'
  ORDER BY LOWER(SCHEMA_NAME);
#
SELECT TABLESPACE_NAME
  FROM INFORMATION_SCHEMA.TABLESPACES
  WHERE TABLESPACE_NAME like 'bup%xpfm%compat%'
  ORDER BY LOWER(TABLESPACE_NAME);
#
SELECT LOWER(TABLE_SCHEMA), LOWER(TABLE_NAME)
  FROM INFORMATION_SCHEMA.TABLES
  WHERE TABLE_SCHEMA like 'bup%xpfm%compat%'
    AND TABLE_TYPE != 'VIEW'
  ORDER BY LOWER(TABLE_SCHEMA), LOWER(TABLE_NAME);
#
SELECT LOWER(TABLE_SCHEMA), LOWER(TABLE_NAME), COLUMN_NAME, DATA_TYPE,
    CHARACTER_MAXIMUM_LENGTH, NUMERIC_PRECISION
  FROM INFORMATION_SCHEMA.COLUMNS
  WHERE TABLE_SCHEMA like 'bup%xpfm%compat%'
  ORDER BY LOWER(TABLE_SCHEMA), LOWER(TABLE_NAME), LOWER(COLUMN_NAME);
#
SELECT LOWER(TABLE_SCHEMA), LOWER(TABLE_NAME), LOWER(VIEW_DEFINITION)
  FROM INFORMATION_SCHEMA.VIEWS
  WHERE TABLE_SCHEMA like 'bup%xpfm%compat%'
  ORDER BY LOWER(TABLE_SCHEMA), LOWER(TABLE_NAME);
#
SELECT LOWER(ROUTINE_SCHEMA), ROUTINE_NAME, ROUTINE_DEFINITION
  FROM INFORMATION_SCHEMA.ROUTINES
  WHERE ROUTINE_SCHEMA like 'bup%xpfm%compat%'
    AND ROUTINE_TYPE = 'PROCEDURE'
  ORDER BY LOWER(ROUTINE_SCHEMA), LOWER(ROUTINE_NAME);
#
SELECT LOWER(ROUTINE_SCHEMA), ROUTINE_NAME, ROUTINE_DEFINITION
  FROM INFORMATION_SCHEMA.ROUTINES
  WHERE ROUTINE_SCHEMA like 'bup%xpfm%compat%'
    AND ROUTINE_TYPE = 'FUNCTION'
  ORDER BY LOWER(ROUTINE_SCHEMA), LOWER(ROUTINE_NAME);
#
SELECT LOWER(TRIGGER_SCHEMA), TRIGGER_NAME, ACTION_TIMING, EVENT_MANIPULATION,
    EVENT_OBJECT_SCHEMA, EVENT_OBJECT_TABLE, ACTION_STATEMENT
  FROM INFORMATION_SCHEMA.TRIGGERS
  WHERE TRIGGER_SCHEMA like 'bup%xpfm%compat%'
  ORDER BY LOWER(TRIGGER_SCHEMA), LOWER(TRIGGER_NAME);
#
SELECT LOWER(EVENT_SCHEMA), EVENT_NAME, EVENT_DEFINITION
  FROM INFORMATION_SCHEMA.EVENTS
  WHERE EVENT_SCHEMA like 'bup%xpfm%compat%'
  ORDER BY LOWER(EVENT_SCHEMA), LOWER(EVENT_NAME);
#
