#
# This include file retrieves the file size from the file specified as 
# FILE_NAME and compares it to the 'total_bytes' column of the backup_history
# log where backup_id = @bid.
#
# Assumptions: The row to be checked is the only row in the backup_history
# log (a flush has just occurred).
# 
# PARAMETERS
#  @bid = backup_id to check
#  FILE_NAME = file name of backup file to check
#

LET TOTAL_BYTES = `SELECT total_bytes FROM mysql.backup_history WHERE backup_id = @bid`;
perl;
my $filename = $ENV{FILE_NAME};
my $filesize = -s $filename;
if ($filesize eq $ENV{TOTAL_BYTES})
{
  print "Success! File size and total_bytes match.\n";
}
else
{
  print "ERROR: File size and total_bytes do NOT match!\n";
  print "       ($filesize <> $ENV{TOTAL_BYTES})\n\n";
}
EOF
