--source include/master-slave.inc

# Set up multi master-slave configuration
# one master(a) and 2 slaves(b and c)

--connection slave
STOP SLAVE;
RESET SLAVE;

# master a
--connection master
--disconnect master
connect (master_a,127.0.0.1,root,,test,$MASTER_MYPORT,);
RESET MASTER;
--disable_warnings
STOP SLAVE;
--enable_warnings
RESET SLAVE;
let $binlog_file_m= query_get_value(SHOW MASTER STATUS, File, 1);

# slave 1
--connection slave
--disconnect slave
connect (slave_1,127.0.0.1,root,,test,$SLAVE_MYPORT,);
RESET MASTER;
RESET SLAVE;
--replace_result $MASTER_MYPORT MASTER_A_PORT $binlog_file_m MASTER_A_LOG_FILE
--eval CHANGE MASTER TO master_host='127.0.0.1',master_port=$MASTER_MYPORT,master_user='root',MASTER_LOG_FILE='$binlog_file_m'
let $binlog_file= query_get_value(SHOW MASTER STATUS, File, 1);

# slave 2
--connection slave1
--disconnect slave1
connect (slave_2,127.0.0.1,root,,test,$SLAVE_MYPORT1,);
RESET MASTER;
--disable_warnings
STOP SLAVE;
--enable_warnings
RESET SLAVE;
--replace_result $SLAVE_MYPORT MASTER_B_PORT $binlog_file MASTER_B_LOG_FILE
--eval CHANGE MASTER TO master_host='127.0.0.1',master_port=$SLAVE_MYPORT,master_user='root',MASTER_LOG_FILE='$binlog_file'
let $binlog_file= query_get_value(SHOW MASTER STATUS, File, 1);

# slave 3
connect (slave_3,127.0.0.1,root,,test,$SLAVE_MYPORT2,);
RESET MASTER;
--disable_warnings
STOP SLAVE;
--enable_warnings
RESET SLAVE;
--replace_result $MASTER_MYPORT MASTER_A_PORT $binlog_file_m MASTER_A_LOG_FILE
--eval CHANGE MASTER TO master_host='127.0.0.1',master_port=$MASTER_MYPORT,master_user='root',MASTER_LOG_FILE='$binlog_file_m'

# Check server_ids: they should be different

--connection master_a
SHOW VARIABLES LIKE 'server_id';
--connection slave_1
SHOW VARIABLES LIKE 'server_id';
--connection slave_2
SHOW VARIABLES LIKE 'server_id';
--connection slave_3
SHOW VARIABLES LIKE 'server_id';


# Start connections
#--connection master_a
#connect(slave,127.0.0.1,root,,test,$MASTER_MYPORT);
#START SLAVE;
#--source include/wait_for_slave_to_start.inc
#--disconnect slave

--connection slave_1
connect(slave,127.0.0.1,root,,test,$SLAVE_MYPORT1);
START SLAVE;
--source include/wait_for_slave_to_start.inc
--disconnect slave

--connection slave_2
connect(slave,127.0.0.1,root,,test,$SLAVE_MYPORT);
START SLAVE;
--source include/wait_for_slave_to_start.inc
--disconnect slave

--connection slave_3
connect(slave,127.0.0.1,root,,test,$SLAVE_MYPORT2);
START SLAVE;
--source include/wait_for_slave_to_start.inc
--disconnect slave

