#ifndef STREAM_TEST_H_
#define STREAM_TEST_H_

#include <m_string.h>
#include <stream_v1.h>

typedef bstream_byte byte;
typedef bstream_blob blob;

typedef enum   enum_bstream_snapshot_type  snapshot_type;
typedef enum   enum_bstream_item_type      item_type;
typedef struct st_bstream_image_header     image_header;
typedef struct st_bstream_item_info        item_info;
typedef struct st_bstream_db_info          db_info;
typedef struct st_bstream_dbitem_info      dbitem_info;
typedef struct st_bstream_table_info       table_info;
typedef struct st_bstream_titem_info       titem_info;
typedef struct st_bstream_data_chunk       table_data_chunk;

extern
struct st_io_counts
{
  long    read;
  long    write;
  size_t  read_bytes;
  size_t  write_bytes;
} io_counts;

void reset_io_counts();

typedef struct
{
  backup_stream base;
  int   m_fd;
} test_backup_stream;

extern size_t stream_block_size;

int backup_stream_open_rd(test_backup_stream *stream, const char *path);
int backup_stream_open_wr(test_backup_stream *stream, const char *path);
int backup_stream_close(test_backup_stream *stream);

#define OPEN_ERROR      (BSTREAM_ERROR+10)
#define CLOSE_ERROR     (BSTREAM_ERROR+11)

int write_image(image_header *hdr, const char *path);
int read_image(image_header *hdr, const char *path);

#endif /*STREAM_TEST_H_*/
