/** @file

  Implements main() function for unit tests. The tests should define
  their functionality in run_test() function.
*/

#include <my_global.h>
#include <my_sys.h>
#include <tap.h>

extern void run_test();
void (*test_exit_hook)() = NULL;

int main()
{
  my_init();
  run_test();

  if (test_exit_hook)
    test_exit_hook();

  return exit_status();
}
